apiVersion: apps/v1
kind: Deployment
metadata: 
  name: open-ldap-deployment
  namespace: {{ .Release.Namespace }}
spec: 
  selector: 
    matchLabels: 
      app: open-ldap-container
  template: 
    metadata: 
      labels: 
        app: open-ldap-container
    spec:
      containers: 
        - image: registry.gitlab.com/openkonsequenz/common/open-ldap/ok-open-ldap:1.0.0
          name: open-ldap-container
          env:
            - name: LDAP_ORGANISATION
              value: openKonsequenz  
            - name: LDAP_DOMAIN
              value: sevenseas.intern
            - name: LDAP_BASE_DN
              value: dc=sevenseas,dc=intern
            - name: LDAP_ADMIN_PASSWORD
              value: admin    
          ports:
            - name: ldap
              containerPort: 389
            - name: ldaps
              containerPort: 689
---
apiVersion: v1
kind: Service
metadata:
  name: open-ldap-service
  namespace: {{ .Release.Namespace }}
spec:
  selector:
    app: open-ldap-container
  ports:
    - name: ldap
      protocol: TCP
      port: 389
      targetPort: 389
    - name: ldaps
      protocol: TCP
      port: 689
      targetPort: 689